Skip to Content
SeyloDocs

Turn auto-update on or off

POST
/api/v1/updates.setAutoUpdate

Turns automatic updates of the panel and all nodes on or off. When on, new releases roll out panel first, then node by node.

Needs updates.manage, which owners and admins hold. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
enabled*boolean

Response Body

Success.

application/json
  1. response
autoUpdate*boolean
panel*
lastCheckedAt*|null
checkError*string|null
nodes*array<>
activeRun*|null
Example Request
curl -X POST 'https://example.com/api/v1/updates.setAutoUpdate' \  -H 'Content-Type: application/json' \  -d '{  "enabled": true}'
Example Response
{  "autoUpdate": true,  "panel": {    "currentVersion": "string",    "latestVersion": "string",    "updateAvailable": true,    "changelogUrl": "string"  },  "lastCheckedAt": "2019-08-24T14:15:22Z",  "checkError": "string",  "nodes": [    {      "nodeId": "string",      "name": "string",      "online": true,      "version": "string",      "updateAvailable": true    }  ],  "activeRun": {    "id": "string",    "targetVersion": "string",    "trigger": "auto",    "status": "running",    "startedBy": "string",    "error": "string",    "createdAt": "2019-08-24T14:15:22Z",    "finishedAt": "2019-08-24T14:15:22Z",    "doneSteps": 0,    "totalSteps": 0,    "steps": [      {        "id": "string",        "position": 0,        "target": "panel",        "nodeId": "string",        "nodeName": "string",        "fromVersion": "string",        "toVersion": "string",        "status": "pending",        "error": "string",        "startedAt": "2019-08-24T14:15:22Z",        "finishedAt": "2019-08-24T14:15:22Z"      }    ]  }}